package com.example.takeawaysystemserver.controller;

import com.example.takeawaysystemserver.entity.User;
import com.example.takeawaysystemserver.service.userService.UserService;
import com.example.takeawaysystemserver.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
@RestController
@Api(tags = "用户模块")
@RequestMapping("user")
public class UserController {

    @Resource
    private UserService userService;

    @PostMapping("/register")
    @ApiOperation(value = "注册")
    public R<String> register(){
        return userService.register();
    }

    @PostMapping("/login")
    @ApiOperation(value = "登录")
    public R<String> login(){
        return userService.login();
    }

    @PostMapping("/logout")
    @ApiOperation(value = "登出")
    public R<String> logout(){
        return userService.logout();
    }

    @PostMapping("/userinfo")
    @ApiOperation(value = "获取用户信息")
    public R<User> getUserInfo(){
        return userService.getUserInfo();
    }

    @PostMapping("/update")
    @ApiOperation(value = "修改用户信息")
    public R<String> updateUser(){
        return userService.updateUser();
    }
}
