package com.example.takeawaysystemserver.service.userService;

import com.example.takeawaysystemserver.entity.User;
import com.example.takeawaysystemserver.util.R;

/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
public interface UserService {

    /**
     * 登录
     * @return token
     */
    R<String> login();

    /**
     * 注册
     * @return 注册信息
     */
    R<String> register();

    /**
     * 登出
     * @return 返回登出成功信息
     */
    R<String> logout();


    /**
     * 获取用户信息
     * @return 用户信息
     */
    R<User> getUserInfo();

    /**
     * 更新用户信息
     * @return 更新成功与否
     */
    R<String> updateUser();
}
